{{ define "transaction.html" }}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ .title }}</title>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="/static/css/style.css">
    <link rel="stylesheet" href="/static/css/navbar-fixed.css">
</head>

<body>
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">XYZ Finance</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse"
                aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarCollapse">
                <ul class="navbar-nav me-auto mb-2 mb-md-0">
                    <li class="nav-item">
                        <a class="nav-link " href="/">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/consumers">Consumers</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="/transactions">Transactions</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <main class="container">
        <div class="bg-body-tertiary p-5 rounded">
            <h2>{{ .title }}</h2>
            <div>
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>Nomor Kontrak</th>
                            <th>NIK</th>
                            <th>Nama Lengkap</th>
                            <th>OTR</th>
                            <th>Admin Fee</th>
                            <th>Jumlah Cicilan</th>
                            <th>Jumlah Bunga</th>
                            <th>Nama Asset</th>
                        </tr>
                    </thead>
                    <tbody>
                        {{ range .transactions }}
                        <tr>
                            <td>{{ .NomorKontrak }}</td>
                            <td>{{ .NIK }}</td>
                            <td>{{ .Consumer.FullName }}</td>
                            <td>{{ .OTR }}</td>
                            <td>{{ .AdminFee }}</td>
                            <td>{{ .JumlahCicilan }}</td>
                            <td>{{ .JumlahBunga }}</td>
                            <td>{{ .NamaAsset }}</td>
                        </tr>
                        {{ end }}
                    </tbody>
                </table>
            </div>
        </div>
    </main>
</body>

</html>
{{ end }}